### Callable

- futimes(fd: number, atime: string | number | Date, mtime: string | number | Date, callback: function): void

- - Defined in node_modules/@types/node/fs.d.ts:994

  Asynchronously change file timestamps of the file referenced by the supplied file descriptor.

  #### Parameters

  - ##### fd: number

    A file descriptor.

  - ##### atime: string | number | Date

    The last access time. If a string is provided, it will be coerced to number.

  - ##### mtime: string | number | Date

    The last modified time. If a string is provided, it will be coerced to number.

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

## Index

### Functions

- __promisify__

## Functions

### __promisify__

- __promisify__(fd: number, atime: string | number | Date, mtime: string | number | Date): Promise<void>

- - Defined in node_modules/@types/node/fs.d.ts:1004

  Asynchronously change file timestamps of the file referenced by the supplied file descriptor.

  #### Parameters

  - ##### fd: number

    A file descriptor.

  - ##### atime: string | number | Date

    The last access time. If a string is provided, it will be coerced to number.

  - ##### mtime: string | number | Date

    The last modified time. If a string is provided, it will be coerced to number.

  #### Returns Promise<void>

Generated using TypeDoc